Reset Refresh Undo Icon Big 256 (1)

Automatically Remove Old Kernels in Linux Mint

How to Automatically Remove Old Obsolete Kernels in Linux Mint

Starting in Linux Mint 19.2 you can set the OS to automatically remove obsolete kernel versions and dependencies. The new Update Manager app comes with the appropriate option. It is disabled by default. Here is how to enable it.

In Linux Mint 19.2, the Update Manager received a number of improvements.

  • New kernel management options in Update Manager: The Update Manager now shows how long kernels are supported, can bulk remove old kernels, and more.
  • In the automation preferences of Update Manager, you can make it automatically remove kernels which are no longer needed.
  • A new notification will appear when a new version of Update Manager is available.

Using these new options, you can configure the Update Manager app to automatically remove old kernel versions.

If you are always using the latest kernel or/and have no issues with your hardware, it is a good idea to get rid of obsolete kernels. They take a lot of space on the drive and just useless when you using the latest kernel without issues.

Automatically Remove Old Kernels in Linux Mint,

  1. Click on the Menu button in the panel to open the apps menu. The screenshots are from Xfce, but Cinnamon and MATE spins of Mint provide the same user experience.
  2. Go to System > Update Manager.
  3. In Update Manager, click on main menu > Edit > Preferences.
  4. Switch to the Automation tab.
  5. Turn on the toggle option Remove obsolete kernels and dependencies. 
  6. Provide your password to confirm the operation.

You are done. From now, Linux Mint will remove old kernels automatically on a weekly basis.

Linux Mint 19.2  'Tina' release will be supported until 2023. It is based on Ubuntu 18.04 LTS. It uses the Linux kernel 4.15, features Cinnamon 4.2 (check out What's new in Cinnamon 4.2), MATE 1.22,  and XFCE 4.12 desktop environments.

You can learn more about its features here: What's new in Linux Mint 19.2. If you are running Linux Mint 19 or 19.1, see how to upgrade it to version 19.2.

Support us

Winaero greatly relies on your support. You can help the site keep bringing you interesting and useful content and software by using these options:

If you like this article, please share it using the buttons below. It won't take a lot from you, but it will help us grow. Thanks for your support!

Leave a Reply

Your email address will not be published.